MAXJOBS =   10
NEWJOBS =   20
MAXSITES =  10
MAPSIZE =   32

LEN_JOB =   8
LEN_SITE =  22
LEN_DIST =  MAXJOBS + MAXSITES + 1
LEN_FORW =  6

STATE_X =           7
STATE_Y =           MAPSIZE
STATE_Z =           MAPSIZE
NN_STATE_LEN =      2 + (MAXJOBS+NEWJOBS)*LEN_JOB + MAXSITES*LEN_SITE + LEN_DIST-1 + LEN_FORW ## == 488

ACTION_X =          6
ACTION_Y =          NEWJOBS
ACTION_Z =          2
NN_ACTION_LEN =	    NEWJOBS + MAXJOBS*2 + MAXSITES + MAXJOBS + 3 ## == 63

ST_GENERAL =  1-1
ST_MAP =      2-1
ST_JOBINF =   3-1
ST_NEWJOB =   4-1
ST_SITEINF =  5-1
ST_DIST =     6-1
ST_FORW =     7-1

AC_ACCEPT =   1-1
AC_PILES =    2-1
AC_MOVE =     3-1
AC_LOAD =     4-1
AC_UNLOAD =   5-1
AC_WAIT =     6-1

GEN_TIME =      1-1
GEN_MONEY =     2-1

MAP_FOREST =    1
MAP_ROAD =      2
MAP_TRAIL =     3
MAP_SITE =      4
MAP_PILE =      5

JOB_PILEX =   1-1
JOB_PILEY =   2-1
JOB_TYPE =    3-1
JOB_LOGLEN =  4-1
JOB_DEMAND =  5-1
JOB_DEADL =   6-1
JOB_FINE =    7-1
JOB_REWARD =  8-1

SITE_SITEX =        1-1
SITE_SITEY =        2-1
SITE_TYPE =         3-1
SITE_LOGLEN =       4-1
SITE_SUPPLY =       5-1
SITE_SUPTIME1 =     6-1
SITE_SUPTIME2 =     7-1
SITE_SUPTIME3 =     8-1
SITE_SUPUP1 =       9-1
SITE_SUPUP2 =       10-1
SITE_SUPUP3 =       11-1
SITE_MAXGREEN =     12-1
SITE_MAXYELLOW =    13-1
SITE_SOILTIME1 =    14-1
SITE_SOILTIME2 =    15-1
SITE_SOILTIME3 =    16-1
SITE_GREENUP1 =     17-1
SITE_GREENUP2 =     18-1
SITE_GREENUP3 =     19-1
SITE_YELLOWUP1 =    20-1
SITE_YELLOWUP2 =    21-1
SITE_YELLOWUP3 =    22-1

FORW_X =            1-1
FORW_Y =            2-1
FORW_WEIGHT =       3-1
FORW_LOAD =         4-1
FORW_BUNKCAP =      5-1
FORW_CRANECAP =     6-1

WOOD_TYPES = 3

WT_PINE =   1
WT_BEECH =  2
WT_OAK =    3

KGPM_PINE =     56
KGPM_BEECH =    77
KGPM_OAK =      84

## SIM ONLY
LAYER_NAMES = {1:'GENERAL INFO', 2:'MAP', 3:'JOBINF', 4:'NEWJOBINF', 5:'SITEINF', 6:'DISTANCES', 7:'FORWARDER'}
ACTION_NAMES = ['ACCEPT', 'PILES', 'MOVE', 'LOAD', 'UNLOAD', 'WAIT']
